<?php

/*
AjaxExplorer Copyright (C) 2007 Syed Mohammad Sidque Tahir Al-Habshi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Head to
GNU site http://www.gnu.org/licenses/ for license copy.
*/

$main=1;
$access='0002';
include 'script/core.php';

?>
<html>
  <head>

    <title>Text Editor - AjaxExplorer</title>

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="author" content="SMSID Software" />
    <meta name="keywords" content="ajax,explorer,file,manager" />
    <meta name="description" content="Ajax File Manager - AjaxExplorer" />

    <link rel="SHORTCUT ICON" href="images/file.gif" />
    <link rel="STYLESHEET" href="script/style.css" type="text/css" />

    <script src="script/ajax.js" type="text/javascript"></script>
    <script src="script/core.js" type="text/javascript"></script>
    <script src="script/text.js" type="text/javascript"></script>

  </head>
  <body onload="textLoad()">

    <div id="head">
      <div class="span">
	<div id="head-menu">
	  <img alt="" src="images/file.gif" title="Open File" onclick="textOpenFile()" /> &nbsp; <img alt="" src="images/save.png" title="Save File" onclick="textSave()" /> &nbsp; <img alt="" src="images/view.gif" title="View File" onclick="window.open('/../'+html)" /> &nbsp; <img alt="" src="images/div.gif" /> &nbsp; <img alt="" src="images/help.gif" title="User Manual" onclick="window.open('readme.htm')" /> &nbsp; <span id="detail"></span></div>
        </div>

        <div>
	  &nbsp; <span id="filename"></span>
        </div>
      </div>
    </div>

    <div class="down"></div>
    <textarea id="code" wrap="off" onblur="over=0" onfocus="over=1" onkeypress="save=0">loading...</textarea>

    <div id="canvas"></div>

  </body>
</html>