<?php

/*
AjaxExplorer Copyright (C) 2007 Syed Mohammad Sidque Tahir Al-Habshi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Head to
GNU site http://www.gnu.org/licenses/ for license copy.
*/

$main=1;
$access='0000';
include 'script/core.php';

?>
<html>
  <head>

    <title>Loading...</title>

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="author" content="SMSID Software" />
    <meta name="keywords" content="ajax,explorer,file,manager" />
    <meta name="description" content="Ajax File Manager - AjaxExplorer" />

    <link rel="SHORTCUT ICON" href="images/file.gif" />
    <link rel="STYLESHEET" href="script/style.css" type="text/css" />

    <script src="script/ajax.js" type="text/javascript"></script>
    <script src="script/core.js" type="text/javascript"></script>
    <script src="script/file.js" type="text/javascript"></script>
    <script src="script/menu.js" type="text/javascript"></script>
    <script src="script/user.js" type="text/javascript"></script>
    <script src="script/md5.js" type="text/javascript"></script>

  </head>
  <body id="body" onload="userLoad(<?php echo $userid ?>)" onbeforeunload="userExit()">

    <div id="head" onmouseout="menu=0" onmouseover="menu=1">
      <div class="span">
	<div id="head-menu">
	  <img alt="" src="images/back.png" title="Go Back" onclick="userGoBack()" /> &nbsp; <img alt="" src="images/next.png" title="Go Forward" onclick="userGoForward()" /> &nbsp; <img alt="" src="images/up.gif" title="Go Up" onclick="fileBrowse('*')" /> &nbsp; <img id="flds" alt="" src="images/closed.png" title="Folders" onclick="fileFolder()" /> &nbsp; <img alt="" src="images/div.gif" /> &nbsp; <img alt="" src="images/account.gif" title="System Account" onclick="userSystem(1)" /> &nbsp; <img alt="" src="images/cookies.gif" title="System Cookies" onclick="userSystem(2)" /> &nbsp; <img alt="" src="images/setting.gif" title="System Setting" onclick="userSystem(3)" /> &nbsp; <img alt="" src="images/div.gif" /> &nbsp; <img alt="" src="images/help.gif" title="User Manual" onclick="window.open('readme.htm')" /> &nbsp; <img id="fail" alt="" src="images/failoff.gif" title="System Failure" onclick="userSystem(4)" /> &nbsp; <img alt="" src="images/keys.gif" title="Sign Out" onclick="userSignOut()" />
	</div>

	<div>
	  Address <input id="dirc" type="text" onblur="userField(this, 0)" onfocus="userField(this, 1)" onkeyup="userFieldKey(this, event)" /> <span onclick="fileBrowse(0)"><img id="goto" alt="" src="images/go.png" /> Go</span>
	</div>

	<div id="list" onmouseout="list=0" onmouseover="list=1"></div>
      </div>
    </div>

    <div id="fold" onmouseout="menu=0" onmouseover="menu=2">
      <div class="down"></div>
      <div id="fdir">
	<span class="right"><img alt="" src="images/close.gif" onclick="fileFolder()" /></span>
	<img id="I0" alt="" src="images/closed.gif" onclick="ajaxRequest('folder', 'dirc=&spot=0')" /> <span class="href" onmouseup="drag? fileMoving(''):fileCaller('', path)">My Folder</span><span id="F0"></span><br />
	<img alt="" src="images/user.gif" /> <span class="href" onclick="fileCaller('', href+'/user/'+usnm+'/My Profile/')">My Profile</span><br />
	<img alt="" src="images/recycle.gif" /> <span class="href" onclick="fileCaller('', href+'/user/'+usnm+'/Recycle Bin/')">Recycle Bin</span><br />
	<img alt="" src="images/shared.gif" /> <span class="href" onclick="fileShareList()">Shared Folder</span>
      </div>
    </div>

    <div id="pane" onmouseout="menu=0" onmouseover="menu=3">

      <div class="down"></div>
      <div class="boxs">
	<div class="boxs-head"><img id="B1i" alt="" src="images/hide.png" class="right" onclick="menuToogle('B1')" /><div class="span">File and Folder Tasks</div></div>
	<div id="B1" class="span">

	  <div id="P00">
	    <div id="P01" onmouseout="menuHide('P010')" onmouseover="menuShowSub('P010')">View</div>
	    <div id="P010" onmouseout="menuHide('P010')" onmouseover="menuShowSub('P010')">
	      <div id="P011" class="href">as Lists</div>
	      <div id="P012" class="href">as Icons</div>
	      <div id="P013" class="href">as Tiles</div>
	    </div>
	    <div id="P02" class="href" onmouseout="menuHide('P020')" onmouseover="menuShowSub('P020')">Open</div>
	    <div id="P020" onmouseout="menuHide('P020')" onmouseover="menuShowSub('P020')">
	      <div id="P021" class="href">in New Tab</div>
	      <div id="P022" class="href">for Download</div>
	      <div id="P023" class="href">with Text Editor</div>
	    </div>
	  </div>

	  <div id="P10"><hr />
	    <div id="P11" class="href">Copy</div>
	    <div id="P12" class="href">Move</div>
	    <div id="P13" class="href">Paste</div>
	    <div id="P14" class="href">Delete</div>
	    <div id="P15" class="href">Rename</div>
	  </div>

	  <div id="P20"><hr />
	    <div id="P21" class="href" onmouseout="menuHide('P210')" onmouseover="menuShowSub('P210')">Sent To</div>
	    <div id="P210" onmouseout="menuHide('P210')" onmouseover="menuShowSub('P210')">
	      <div id="P211" class="href">My Folder</div>
	      <div id="P212" class="href">Shared Folder</div>
	      <div id="P213" class="href">Zip Compressed</div>
	      <div id="P214" class="href">Zip Extraction</div>
	    </div>
	  </div>

	  <div id="P30"><hr />
	    <div id="P31" class="href">Refresh</div>
	    <div id="P32" class="href" onmouseout="menuHide('P320')" onmouseover="menuShowSub('P320')">Arrange</div>
	    <div id="P320" onmouseout="menuHide('P320')" onmouseover="menuShowSub('P320')">
	      <div id="P321" class="href">by Name</div>
	      <div id="P322" class="href">by Type</div>
	    </div>
	  </div>

	  <div id="P40"><hr />
	    <div id="P41" class="href">Restore all items</div>
	    <div id="P42" class="href">Restore pick items</div>
	    <div id="P43" class="href">Empty Recycle Bin</div>
	  </div>

	  <div id="P50"><hr />
	    <div id="P51" onmouseout="menuHide('P510')" onmouseover="menuShowSub('P510')">New</div>
	    <div id="P510" onmouseout="menuHide('P510')" onmouseover="menuShowSub('P510')">
	      <div id="P511" class="href">File</div>
	      <div id="P512" class="href">Folder</div>
	    </div>
	  </div>

	  <div id="P60"><hr />
	    <div id="P61" class="href">Properties</div>
	  </div>

	  <div id="P70"><hr />
	    <div id="P71" class="href">Set as Wallpaper</div>
	  </div>

	  <div id="P80"><hr />
	    <div id="P81" class="href">Open Containing Folder</div>
	  </div>

	</div>
      </div>

      <div class="boxs">
	<div class="boxs-head"><img id="B2i" alt="" src="images/hide.png" class="right" onclick="menuToogle('B2')" /><div class="span">Other Places</div></div>
	<div id="B2" class="span">
	  <img alt="" src="images/opened.png" /> <span class="href" onclick="fileCaller('', path)">My Folder</span><br />
	  <img alt="" src="images/user.gif" /> <span class="href" onclick="fileCaller('', href+'/user/'+usnm+'/My Profile/')">My Profile</span><br />
	  <img alt="" src="images/recycle.gif" /> <span class="href" onclick="fileCaller('', href+'/user/'+usnm+'/Recycle Bin/')">Recycle Bin</span><br />
	  <img alt="" src="images/shared.gif" /> <span class="href" onclick="fileShareList()">Shared Folder</span>
	</div>
      </div>

      <div class="boxs">
	<div class="boxs-head"><img id="B3i" alt="" src="images/hide.png" class="right" onclick="menuToogle('B3')" /><div class="span">Search File</div></div>
	<div id="B3" class="span">
	  All or part of the file name:<br /><input id="find" type="text" class="fpane" onblur="edit=0" onfocus="edit=2" onkeyup="edit=2" /><br /><br />
	  Look in:<br /><select id="look" class="fpane"><option value="0">This folder only</option><option value="1">- Folder & subfolders</option><option value="2">- Entire site folders</option></select><br /><br />
	  <input type="button" value="Search" onclick="fileSearch()" />
	</div>
      </div>

      <div class="boxs">
	<div class="boxs-head"><img id="B4i" alt="" src="images/hide.png" class="right" onclick="menuToogle('B4')" /><div class="span">Upload File</div></div>
	<div id="B4" class="span">
	  <iframe id="frame" src="script/frame.php" name="frame" frameborder="0"></iframe><br /><br /><input type="button" value="Upload" onclick="fileUpload()" />
	</div>
      </div>

      <div class="boxs">
	<div class="boxs-head"><img id="B5i" alt="" src="images/hide.png" class="right" onclick="menuToogle('B5')" /><div class="span">Details</div></div>
	<div id="B5" class="span">
	  <div id="detail"></div>
	</div>
      </div>

    </div>

    <div id="desktop"></div>
    <div id="pointer"></div>

    <div id="select"></div>
    <div id="canvas"></div>

    <div id="system" onmouseout="menu=halt=0" onmouseover="menu=halt=4">

      <div id="S1" class="tabs">
	<div class="tabs-head">System Account</div>
	<div class="tabs-menu"><span class="href" onclick="userSystemSub(1)">General</span> &nbsp; <span class="href" onclick="userSystemSub(2)">Change</span> &nbsp; <span class="href" onclick="userSystemSub(3)">Manage</span></div>

	<div class="tabs-body">
	  <div class="title"><img alt="" src="images/account.gif" /> System Account</div><br />

	  <div id="T11">
	    <img id="user-icon" alt="" class="user" /> <span id="S10"></span><br /><br />
	 
	    <fieldset><legend>File Path</legend>
	      <span class="right"><img alt="" src="images/server.gif" title="File Path Properties" onclick="fileProperty(dvrt)" /></span><span id="S11"></span>
	    </fieldset><br />

	    <fieldset><legend>File Permission</legend>
	      <img id="S12" alt="" class="right" /> CREATE<br />
	      <img id="S13" alt="" class="right" /> MODIFY<br />
	      <img id="S14" alt="" class="right" /> REMOVE<br />
	      <img id="S15" alt="" class="right" /> TRANSFER
	    </fieldset><br />

	  </div>

	  <div id="T12">
	    <fieldset><legend>Change Password</legend>
	      New Password:<br /><input id="S16" type="password" class="tran1" /><br />
	      Old Password:<br /><input id="S17" type="password" class="tran1" />
	    </fieldset><br />

	    <div id="E11"></div>
	  </div>

	  <div id="T13">
	    <fieldset><legend>Manage Users</legend>
	      <div id="S18"></div>
	    </fieldset><br />

	    <fieldset><legend>New User</legend>
	      <input id="S19" type="text" class="tran1" onfocus="userTips(5)" onkeyup="userCreate(this, event)" />
	    </fieldset>
	  </div>
	</div>

	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSystemSave()" /> <input type="button" class="button" value="Cancel" onclick="userSystemHide()" /></span>
	</div>
      </div>

      <div id="S2" class="tabs">
	<div class="tabs-head">System Cookies</div>
	<div class="tabs-menu"><span class="href" onclick="userSystemSub(1)">Directory</span> &nbsp; <span class="href" onclick="userSystemSub(2)">Clipboard</span> &nbsp; <span class="href" onclick="userSystemSub(3)">Others</span></div>

	<div class="tabs-body">
	  <div class="title"><img alt="" src="images/cookies.gif" /> System Cookies</div><br />

	  <div id="T21">
	    <fieldset><legend>Wallpaper Directory</legend>
	      <input id="S21" type="text" class="tran1" />
	    </fieldset><br />

	    <fieldset><legend>Stored Directory</legend>
	      <textarea id="S22" class="tran2"></textarea>
	    </fieldset>
	  </div>

	  <div id="T22">
	    <fieldset><legend>Clipboard - Task</legend>
	      <input id="S23" type="text" class="tran1" />
	    </fieldset><br />

	    <fieldset><legend>Clipboard - From</legend>
	      <input id="S24" type="text" class="tran1" />
	    </fieldset><br />

	    <fieldset><legend>Clipboard - File List</legend>
	      <textarea id="S25" class="tran2"></textarea>
	    </fieldset>
	  </div>

	  <div id="T23">
	    <fieldset><legend>Directory Loading</legend>
	      <input id="S26" type="checkbox" /> Enable Loading Timeout
	    </fieldset><br />

	    <fieldset><legend>Double Click Speed</legend>
	      <input id="S27" type="text" class="tran3" maxlength="3" /> in microsecond
	    </fieldset>
	  </div>

	</div>

	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSystemSave()" /> <input type="button" class="button" value="Cancel" onclick="userSystemHide()" /></span>
	</div>
      </div>

      <div id="S3" class="tabs">
	<div class="tabs-head">System Setting</div>
	<div class="tabs-menu"><span class="href" onclick="userSystemSub(1)">General</span> &nbsp; <span class="href" onclick="userSystemSub(2)">Upload</span></div>

	<div class="tabs-body">
	  <div class="title"><img alt="" src="images/setting.gif" /> System Setting</div><br />

	  <div id="T31">
	    <fieldset><legend>Basic Setting</legend>
	      <input id="S31" type="checkbox" /> Enable Recycle Bin<br />
	      <input id="S32" type="checkbox" /> Enable Replace File<br />
	      <input id="S33" type="checkbox" /> Enable Folder Thumbs
	    </fieldset><br />

	    <fieldset><legend>Security Setting</legend>
	      <img alt="" src="images/txt.gif" class="right" title="View File Activity Log" onclick="fileOpenLogs(1)" /><input id="S34" type="checkbox" /> Track File Activity<br />
	      <img alt="" src="images/txt.gif" class="right" title="View Sign Activity Log" onclick="fileOpenLogs(2)" /><input id="S35" type="checkbox" /> Track Sign Activity<br />
	    </fieldset><br />
	  </div>

	  <div id="T32">
	    <fieldset><legend>Maximum File Size</legend>
	      <input id="S36" type="text" class="tran3" /> in kilobyte<br />
	    </fieldset><br />
	  </div>
	</div>

	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSystemSave()" /> <input type="button" class="button" value="Cancel" onclick="userSystemHide()" /></span>
	</div>
      </div>

      <div id="S4" class="tabs">
	<div class="tabs-head">System Failure</div>
	<div class="tabs-menu"></div>

	<div class="tabs-body">
	  <div class="title"><img alt="" src="images/failure.gif" /> System Failure</div><br />
	  <fieldset><legend>Error Logs</legend><div id="error"></div><br /></fieldset>
	  <span class="right"><span class="href" onclick="userErrorSend()">Send Report</span> | <span class="href" onclick="userErrorReset()">Clear Logs</span></span>
	</div>

	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSystemHide()" /> <input type="button" class="button" value="Cancel" onclick="userSystemHide()" /></span>
	</div>
      </div>

      <div id="S5" class="tabs">
	<div class="tabs-head"><span id="S50"></span>&nbsp;Properties</div>
	<div class="tabs-menu"><span class="href" onclick="userSystemSub(1)">General</span> &nbsp; <span class="href" onclick="userSystemSub(2)">Permission</span></div>

	<div class="tabs-body">
	  <div id="T51">
	    <img id="S51" alt="" class="right" /><span id="S52" class="label"></span><br />
	    <span id="S53"></span><br /><br />
	    <fieldset><legend>Selected Item</legend>Files: <span id="S54"></span><br />Folders: <span id="S55"></span></fieldset><br />
	    <fieldset><legend>Selected Size</legend><span id="S56"></span></fieldset><br />
	  </div>

	  <div id="T52">
	    Owner: <span id="S57"></span><br />
	    Group: <span id="S58"></span><br /><br />

	    <fieldset><legend>Owner Permission</legend><input id="S61" type="checkbox" />Read &nbsp; <input id="S62" type="checkbox" />Write &nbsp; <input id="S63" type="checkbox" />Exexcute</fieldset><br />
	    <fieldset><legend>Group Permission</legend><input id="S71" type="checkbox" />Read &nbsp; <input id="S72" type="checkbox" />Write &nbsp; <input id="S73" type="checkbox" />Exexcute</fieldset><br />
	    <fieldset><legend>Public Permission</legend><input id="S81" type="checkbox" />Read &nbsp; <input id="S82" type="checkbox" />Write &nbsp; <input id="S83" type="checkbox" />Exexcute</fieldset><br />
	    <input id="S58" type="checkbox" /><span id="S59">Apply to subfolders and files</span><br />
	  </div>
	</div>

	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="filePropertySave()" /> <input type="button" value="Cancel" class="button" onclick="userSystemHide()" /></span>
	</div>
      </div>

      <div id="H1">
	<fieldset><legend>Set Permission</legend>
	  File Path: <span id="H10"></span><br /><input id="H11" type="text" class="tran1" /> <input type="button" class="button" value="Check" onclick="userCheckPath()" /><br /><br />
	  File Permission:<br /><input id="H12" type="checkbox" value="1" />Create &nbsp; <input id="H13" type="checkbox" value="2" />Modify &nbsp; <input id="H14" type="checkbox" value="4" />Remove &nbsp; <input id="H15" type="checkbox" value="8" />Transfer
	</fieldset>
	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSetPermSave()" /> <input type="button" value="Cancel" class="button" onclick="userSystemHide(1)" /></span>
	</div>
      </div>

      <div id="H2">
	<fieldset><legend>Set Password</legend>
	  New Password:<br /><input id="H20" type="password" class="tran1" /><br /><br />
	  Confirm Password:<br /><input id="H21" type="password" class="tran1" />
	</fieldset>
	<div class="span">
	  <span class="right"><input type="button" class="button" value="OK" onclick="userSetPassSave()" /> <input type="button" value="Cancel" class="button" onclick="userSystemHide(2)" /></span>
	</div>
      </div>
    </div>

    <div id="tips">
      <div><img alt="" src="images/help.gif" /> AjaxExplorer Tips & Tricks</div><hr />
      <div id="tipz" class="span"></div>
    </div>

    <div id="menu" onmouseout="menu=0" onmouseover="menu=5">

      <div id="M00">
	<div id="M01" onmouseout="menuHide('M010')" onmouseover="menuShowSub('M010')">View</div>
	<div id="M010" onmouseout="menuHide('M010')" onmouseover="menuShowSub('M010')">
	<div id="M011" class="href">as Lists</div>
	<div id="M012" class="href">as Icons</div>
	<div id="M013" class="href">as Tiles</div>
      </div>
      <div id="M02" class="href" onmouseout="menuHide('M020')" onmouseover="menuShowSub('M020')">Open</div>
	<div id="M020" onmouseout="menuHide('M020')" onmouseover="menuShowSub('M020')">
	  <div id="M021" class="href">in New Tab</div>
	  <div id="M022" class="href">for Download</div>
	  <div id="M023" class="href">with Text Editor</div>
	</div>
      </div>

      <div id="M10"><hr />
	<div id="M11" class="href">Copy</div>
	<div id="M12" class="href">Move</div>
	<div id="M13" class="href">Paste</div>
	<div id="M14" class="href">Delete</div>
	<div id="M15" class="href">Rename</div>
      </div>

      <div id="M20"><hr />
	<div id="M21" class="href" onmouseout="menuHide('M210')" onmouseover="menuShowSub('M210')">Sent To</div>
	<div id="M210" onmouseout="menuHide('M210')" onmouseover="menuShowSub('M210')">
	  <div id="M211" class="href">My Folder</div>
	  <div id="M212" class="href">Shared Folder</div>
	  <div id="M213" class="href">Zip Compressed</div>
	  <div id="M214" class="href">Zip Extraction</div>
	</div>
      </div>

      <div id="M30"><hr />
	<div id="M31" class="href">Refresh</div>
	<div id="M32" class="href" onmouseout="menuHide('M320')" onmouseover="menuShowSub('M320')">Arrange</div>
	<div id="M320" onmouseout="menuHide('M320')" onmouseover="menuShowSub('M320')">
	  <div id="M321" class="href">by Name</div>
	  <div id="M322" class="href">by Type</div>
	</div>
      </div>

       <div id="M40"><hr />
	<div id="M42" class="href">Restore</div>
      </div>

      <div id="M50"><hr />
	<div id="M51" onmouseout="menuHide('M510')" onmouseover="menuShowSub('M510')">New</div>
	<div id="M510" onmouseout="menuHide('M510')" onmouseover="menuShowSub('M510')">
	  <div id="M511" class="href">File</div>
	  <div id="M512" class="href">Folder</div>
	</div>
      </div>

      <div id="M60"><hr />
	<div id="M61" class="href">Properties</div>
      </div>

      <div id="M70"><hr />
	<div id="M71" class="href">Set as Wallpaper</div>
      </div>

      <div id="M80"><hr />
	<div id="M81" class="href">Open Containing Folder</div>
      </div>

    </div>

    <div id="door">
      <table id="sign">
	<tr><td rowspan="3"><img id="sign-icon" alt="" src="user/<?php echo $username ?>/My Profile/icon.jpg" class="user" onerror="userIcon(0)" /></td><td><img alt="" src="images/user.gif" /></td><td><input id="user" type="text" class="fsign" onblur="userIcon(this)" /></td></tr>
	<tr><td><img alt="" src="images/keys.gif" /></td><td><input id="pass" type="password" class="fsign" /></td></tr>
	<tr><td></td><td><input type="button" value="Sign In" onclick="userSignIn()" /></div></td></tr>
      </table>
      <span id="sign-fail"></span><br /><br /><br />
      <img alt="" src="images/trademark.gif" />
      </table>
    </div>

  </body>
</html>